Zydis v4.1.1

Loading...
Searching...
No Matches
ZydisInstructionDefinitionMVEX_ Struct Reference

Defines the ZydisInstructionDefinitionMVEX struct. More...

`#include <SharedData.h>`

## Public Member Functions
ZyanU8 functionality | ZYAN_BITFIELD (ZYDIS_MVEX_FUNC_REQUIRED_BITS)
ZyanU8 mask_policy | ZYAN_BITFIELD (ZYDIS_MASK_POLICY_REQUIRED_BITS)
ZyanBool has_element_granularity | ZYAN_BITFIELD (1)
ZyanU8 broadcast | ZYAN_BITFIELD (ZYDIS_MVEX_STATIC_BROADCAST_REQUIRED_BITS)

## Data Fields
| ZYDIS_INSTRUCTION_DEFINITION_BASE_VECTOR_INTEL

## Detailed Description

Defines the ZydisInstructionDefinitionMVEX struct.

## Member Function Documentation

## ◆ ZYAN_BITFIELD() [1/4]

ZyanBool has_element_granularity ZYAN_BITFIELD | ( | 1 |  | ) |

## ◆ ZYAN_BITFIELD() [2/4]

ZyanU8 mask_policy ZYAN_BITFIELD | ( | ZYDIS_MASK_POLICY_REQUIRED_BITS |  | ) |

## ◆ ZYAN_BITFIELD() [3/4]

ZyanU8 functionality ZYAN_BITFIELD | ( | ZYDIS_MVEX_FUNC_REQUIRED_BITS |  | ) |

## ◆ ZYAN_BITFIELD() [4/4]

ZyanU8 broadcast ZYAN_BITFIELD | ( | ZYDIS_MVEX_STATIC_BROADCAST_REQUIRED_BITS |  | ) |

## Field Documentation

## ◆ ZYDIS_INSTRUCTION_DEFINITION_BASE_VECTOR_INTEL

ZYDIS_INSTRUCTION_DEFINITION_BASE_VECTOR_INTEL

The documentation for this struct was generated from the following file:

- include/Zydis/Internal/SharedData.h